function(                                                      # SELECT COLUMNS OF DATAFRAME BY NAME
         df=factor(levels=dataframes(eN))[[1]],                  # Dataframe                      # data frame to plot
         columns=factor(NULL,levels=colnames(df))  # Dataframe                       # columns to show
) {
  tryCatch(
    {  
      if(is.null(columns)) return(df);
      df[columns]
    }, warning = function(w) { print(w); #return(data.frame(warning=as.character(w$message)))
      
    }, error = function(e) { print(e); err<-data.frame(error=as.character(e$message));err$error=as.character(err$error); return(err)
    
    }, finally = { 
      
    }
  )  
  
}
